/*
 * Copyright (c) 2017, NVIDIA CORPORATION.  All rights reserved.
 *
 * NVIDIA Corporation and its licensors retain all intellectual property
 * and proprietary rights in and to this software, related documentation
 * and any modifications thereto.  Any use, reproduction, disclosure or
 * distribution of this software and related documentation without an express
 * license agreement from NVIDIA Corporation is strictly prohibited.
 *
 */

#ifndef _NVCOLOR_COLORS_H_
#define _NVCOLOR_COLORS_H_

#ifdef __cplusplus
extern "C"
{
#endif

/**
 * @file
 * <b>NVIDIA GStreamer API: Color</b>
 *
 * This file defines color codes used for OSD.
 */

/**
 * @defgroup gstreamer_color_group OSD color codes
 *
 * Defines color codes used for OSD.
 * @ingroup gstreamer_utilities_group
 * @{
 */

typedef enum
{
  NV_OBJ_CLR_RED = 0,
  NV_OBJ_CLR_ORANGE,
  NV_OBJ_CLR_YELLOW,
  NV_OBJ_CLR_GREEN,
  NV_OBJ_CLR_AQUA,
  NV_OBJ_CLR_BLUE,
  NV_OBJ_CLR_PINK,
  NV_OBJ_CLR_PURPLE,
  NV_OBJ_CLR_WHITE,
  NV_OBJ_CLR_GREY,
  NV_OBJ_CLR_BLACK,
  NV_OBJ_CLR_NUM_COLORS
} NvObjectColor;

/** @} */

#ifdef __cplusplus
}
#endif

#endif

